Subject: Help me find seeds please.

From: [email-masked]
Date: 3 May 95 18:56:00 EST

I would like to get ahold of some Plume Albizia seeds (I'm not sure about the 
spelling).  It is also sometimes called a "Sensitive Plant".  You know the
ones when you touch the leaves they fold up.  If you know where I can
order some from please send me E-mail.  Thank you.